Index: palm/trunk/SCRIPTS/.mrun.config.lcxe6
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.lcxe6	(revision 910)
+++ palm/trunk/SCRIPTS/.mrun.config.lcxe6	(revision 911)
@@ -29,20 +29,21 @@
 # appropriately, if you are using a different compiler / MPI-Version.
 #
-%tmp_user_catalog    /work/<replace by your CrayXE6 username>                                                           lcxe6 parallel
-%compiler_name       ftn                                                                                                lcxe6 parallel
-%compiler_name_ser   ftn                                                                                                lcxe6 parallel
+%tmp_user_catalog    /work/<replace by your CrayXE6 username>                                                         lcxe6 parallel
+%compiler_name       ftn                                                                                              lcxe6 parallel
+%compiler_name_ser   ftn                                                                                              lcxe6 parallel
 %cpp_options         -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__intel_openmp_bug lcxe6 parallel
-%netcdf_inc          -I/opt/cray/mpt/default/xt/gemini/mpich2-intel/120/include:-I/opt/cray/netcdf-hdf5parallel/default/netcdf-hdf5parallel-intel/include:-I/opt/cray/hdf5-parallel/default/hdf5-parallel-intel/include  lcxe6 parallel
-%netcdf_lib          -L/opt/cray/mpt/default/xt/gemini/mpich2-intel/120/lib:-L/opt/cray/netcdf-hdf5parallel/default/netcdf-hdf5parallel-intel/lib:-lnetcdf:-lnetcdff:-L/opt/cray/hdf5-parallel/default/hdf5-parallel-intel/lib:-lhdf5_fortran:-lhdf5hl_fortran  lcxe6 parallel
-%mopts               -j:4                                                                                               lcxe6 parallel
-%fopts               -openmp:-xS:-fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcx36 parallel
-%lopts               -openmp:-xS:-fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi           lcx36 parallel
-%remote_username     <replace by your CrayXE6 username>                                                                 lcxe6 parallel
-%memory              1500                                                                                               lcxe6 parallel
-%project_account     <replace by your project account (e.g. nersc, geofysisk)>                                          lcxe6 parallel
+%netcdf_inc          -I:/opt/cray/netcdf-hdf5parallel/default/netcdf-hdf5parallel-intel/include:-I/opt/cray/hdf5-parallel/default/hdf5-parallel-intel/include  lcxe6 parallel
+%netcdf_lib          -L/opt/cray/netcdf-hdf5parallel/default/netcdf-hdf5parallel-intel/lib:-lnetcdf:-lnetcdff:-L/opt/cray/hdf5-parallel/default/hdf5-parallel-intel/lib:-lhdf5_fortran:-lhdf5hl_fortran  lcxe6 parallel
+%mopts               -j:4                                                                                             lcxe6 parallel
+%fopts               -r8:-O3:-nbs:-convert:little_endian:-I:/opt/cray/mpt/default/xt/gemini/mpich2-intel/120/include  lcxe6 parallel
+%lopts               -r8:-O3:-nbs:-L:/opt/cray/mpt/default/xt/gemini/mpich2-intel/120/lib                             lcxe6 parallel
+%remote_username      <replace by your CrayXE6 username>                                                              lcxe6 parallel
+%memory              1500                                                                                             lcxe6 parallel
+%project_account     <replace by your project account (e.g. nersc, geofysisk)>                                        lcxe6 parallel
 %modules             modules:Base-opts:pmi:xt-mpich2:hdf5-parallel:netcdf-hdf5parallel:xtpe-network-gemini:gni-headers  lcxe6 parallel
-%login_init_cmd      .:/opt/modules/default/init/ksh\;.:/etc/bash.bashrc.local\;module:swap:PrgEnv-cray:PrgEnv-intel    lcxe6 parallel
-#%email_notification <replace by your email address>                                                                    lcxe6 parallel
-#                     
+%login_init_cmd      .:/opt/modules/default/init/ksh\;:.:/etc/bash.bashrc.local\;:module:swap:PrgEnv-cray:PrgEnv-intel  lcxe6 parallel
+#%modules            PrgEnv-intel                                                                                     lcxe6 parallel
+%email_notification  <replace by your email address>                                                                  lcxe6 parallel
+#             
 %write_binary        true                             restart
 #