Index: /palm/trunk/SCRIPTS/.mrun.config.lcxe6
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.lcxe6	(revision 919)
+++ /palm/trunk/SCRIPTS/.mrun.config.lcxe6	(revision 920)
@@ -30,4 +30,5 @@
 #
 %tmp_user_catalog    /work/<replace by your CrayXE6 username>                                                         lcxe6 parallel
+%tmp_data_catalog    /work/<replace by your CrayXE6 username>/tmp/                                                    lcxe6 parallel
 %compiler_name       ftn                                                                                              lcxe6 parallel
 %compiler_name_ser   ftn                                                                                              lcxe6 parallel
Index: /palm/trunk/SCRIPTS/mbuild
===================================================================
--- /palm/trunk/SCRIPTS/mbuild	(revision 919)
+++ /palm/trunk/SCRIPTS/mbuild	(revision 920)
@@ -133,4 +133,5 @@
      #                      bugfixes for the parameter file check, initial 
      #                      commands on ssh calls sourced out to .mrun.config
+     # 05/06/12 - Bjoern  - bugfixes for execution of login_init_cmd
 
 
@@ -1323,5 +1324,7 @@
        if [[ $remote_host = lcxe6 ]]
        then
-          $init_cmds
+
+          eval $init_cmds
+
        fi
 
Index: /palm/trunk/SCRIPTS/mrun
===================================================================
--- /palm/trunk/SCRIPTS/mrun	(revision 919)
+++ /palm/trunk/SCRIPTS/mrun	(revision 920)
@@ -257,5 +257,7 @@
      #                      bugfixes for the parameter file check, initial 
      #                      commands on ssh calls sourced out to .mrun.config
-
+     # 05/06/12 - Bjoern  - bugfixes for the parameter file check on lcxe6.
+     #                      combine_plot_fields can be switched off by the
+     #                      new mrun option -Z
 
  
@@ -273,4 +275,5 @@
  archive_system=none
  check_namelist_files=true
+ combine_plot_fields=true
  compiler_name=""
  cond1=""
@@ -505,5 +508,5 @@
     # SHELLSCRIPT-OPTIONEN EINLESEN UND KOMMANDO NEU ZUSAMMENSETZEN, FALLS ES
     # FUER FOLGEJOBS BENOETIGT WIRD
- while  getopts  :a:AbBc:Cd:D:Fg:G:h:H:i:IkK:m:M:n:o:O:p:P:q:r:R:s:St:T:u:U:vw:xX:yY:z option
+ while  getopts  :a:AbBc:Cd:D:Fg:G:h:H:i:IkK:m:M:n:o:O:p:P:q:r:R:s:St:T:u:U:vw:xX:yY:zZ option
  do
    case  $option  in
@@ -548,4 +551,5 @@
        (Y)   run_coupled_model=true; coupled_dist=$OPTARG; mc="$mc -Y'$OPTARG'";;
        (z)   check_namelist_files=false; mc="$mc -z";;
+       (Z)   combine_plot_fields=false; mc="$mc -Z";;
        (\?)  printf "\n  +++ unknown option $OPTARG \n"
              printf "\n  --> type \"$0 ?\" for available options \n"
@@ -564,5 +568,5 @@
  then
    (printf "\n  *** mrun can be called as follows:\n"
-    printf "\n      $mrun_script_name  -b -c.. -d.. -D.. -f.. -F -h.. -i.. -I -K.. -m.. -o.. -p.. -r.. -R -s.. -t.. -T.. -v -x -X.. -y -Y.. <modus>\n"
+    printf "\n      $mrun_script_name  -b -c.. -d.. -D.. -f.. -F -h.. -i.. -I -K.. -m.. -o.. -p.. -r.. -R -s.. -t.. -T.. -v -x -X.. -y -Y.. -z -Z <modus> \n"
     printf "\n      Description of available options:\n"
     printf "\n      Option  Description                              Default-Value"
@@ -608,5 +612,7 @@
     printf "\n        -Y    run coupled model, \"#1 #2\" with" 
     printf "\n              #1 atmosphere and #2 ocean processors    \"#/2 #/2\" depending on -X"
-    printf "\n        -z    no parameter file check                  ---"
+    printf "\n        -z    disable a priori parameter file check    ---"
+    printf "\n        -Z    skip combine_plot_fields at the end of      "
+    printf "\n              the simulation                           ---"
     printf "\n "
     printf "\n      Possible values of positional parameter <modus>:"
@@ -1339,4 +1345,9 @@
     eval pathname=${pathin[$i]}
 
+#   SAVE INPUT FILE NAME FOR PARAMETER FILE CHECK
+    if [[ ("${transin[$i]}" = job) && (-f $filename) ]]
+    then
+       filename_input=$filename
+    fi
 
        # PRUEFEN AUF VORHANDENSEIN
@@ -1428,6 +1439,5 @@
     fi
  done
-       
-
+    
     # VOLLSTAENDIGE DATEINAMEN (OHNE $ ODER ~) DER OUTPUT-FILES BILDEN,
     # OUTPUT-DATEIEN AUF VORHANDENSEIN PRUEFEN UND EVTL. HOECHSTE ZYKLUSNUMMER
@@ -2386,5 +2396,10 @@
 
 #CHECK IF NAMELIST_FILE_CHECK HAS BEEN COMPILED SUCCESSFULLY
- if [[ ! -f $check_depository/check_namelist_files.tar || ! -f $PALM_BIN/check_namelist_files.x ]]
+ if [[ ! -f $check_depository/check_namelist_files.tar ]]
+ then
+      skip_check=true 
+      reason="run on remote host or parameter file check has not been compiled."
+ fi
+ if [[ ! -f $PALM_BIN/check_namelist_files.x ]]
  then
       skip_check=true 
@@ -2426,6 +2441,6 @@
 
 #SKIP CHECK IN CASE OF RESTART RUN: CHECK WHETHER THE LAST CHAR IS "f" IN PARIN
- ((last_char = `echo $filename | wc -c` - 1))
- last_char=`echo $filename |cut -c$last_char`
+ ((last_char = `echo $filename_input | wc -c` - 1))
+ last_char=`echo $filename_input |cut -c$last_char`
  if [[ "$last_char" == "f" ]]
  then
@@ -2473,7 +2488,7 @@
 
 #   ERROR IF NO PARAMETER FILE WAS FOUND, OTHERWISE PROCEED
-    if [[ ! -f $filename ]]
-    then
-       printf "\n\n  +++ ERROR: parameter file ($filename) not found." 
+    if [[ (! -f $filename_input) && ( "$filename_input" != "") ]]
+    then
+       printf "\n\n  +++ ERROR: parameter file ($filename_input) not found." 
        locat=check_namelist; exit
     fi
@@ -2485,5 +2500,5 @@
 
 
-       filenamef="${filename}f"
+       filenamef="${filename_input}f"
        if [[ ! -f $filenamef ]]
        then
@@ -2563,5 +2578,5 @@
     fi
 
-    cp $filename ./PARIN
+    cp $filename_input ./PARIN
     if [[ $check_restart == 1 ]] 
     then
@@ -2569,5 +2584,4 @@
     fi
 
-cat ${pathname}/${fname}${topo_suffix}
     if [[ -f ${pathname}/${fname}${topo_suffix} && $skip_check == false ]]
     then
@@ -2622,5 +2636,5 @@
 
 #      CHECKING THE P3D FILE
-       printf "\n\n      (1) checking $filename"  
+       printf "\n\n      (1) checking $filename_input"  
        echo "$numprocs 0" > VARIN
        errors=`./check_namelist_files.x < VARIN 2>&1`
@@ -2909,5 +2923,5 @@
           continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
        else
-          [[ $localhost = lcxe6 ]]  &&  eval $init_cmds
+          [[ "$init_cmds" != "" ]]  &&  eval $init_cmds
           [[ "$module_calls" != "" ]]  &&  eval $module_calls
           make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$fopts"  LDFLAGS="$lopts"
@@ -3939,13 +3953,18 @@
        # Call of combine_plot_fields in order to merge single files written
        # by each PE into one file.
-    if [[ ! -f ${PALM_BIN}/combine_plot_fields${block}.x ]]
-    then
-       printf "\n\n\n  +++ WARNING: no combine_plot_fields found for given block \"$cond1 $cond2\""
-       printf "\n      2d- and/or 3d-data may be incomplete!"
-       printf "\n      Run \"mbuild -u -h $localhost\" to generate utilities for this block.\n"
-    else
-       printf "\n\n\n *** post-processing: now executing \"combine_plot_fields${block}.x\" ..."
-       combine_plot_fields${block}.x
-    fi
+   if [[ ! -f ${PALM_BIN}/combine_plot_fields${block}.x ]]
+   then
+      printf "\n\n\n  +++ WARNING: no combine_plot_fields found for given block \"$cond1 $cond2\""
+      printf "\n      2d- and/or 3d-data may be incomplete!"
+      printf "\n      Run \"mbuild -u -h $localhost\" to generate utilities for this block.\n"
+   elif [[ "$combine_plot_fields" == true ]]
+   then
+      printf "\n\n\n *** post-processing: now executing \"combine_plot_fields${block}.x\" ..."
+      combine_plot_fields${block}.x
+   else
+#     Temporary solution to skip combine_plot_fields. This is necessary in case of huge amount of
+#     data output. To do: extend this branch by creating a batch job for combine_plot_fields.
+      printf "\n\n\n *** post-processing: skipping combine_plot_fields (-Z option set) ..."
+   fi
 
 
@@ -4773,4 +4792,6 @@
     [[ "$ocean_file_appendix" = true ]]  &&  mrun_com=${mrun_com}" -y"
     [[ $run_coupled_model = true ]]  &&  mrun_com=${mrun_com}" -Y \"$coupled_dist\""
+    [[ "$check_namelist_files" = false ]]  &&  mrun_com=${mrun_com}" -z"
+    [[ "$combine_plot_fields" = false ]]  &&  mrun_com=${mrun_com}" -Z"
     [[ "$max_par_io_str" != "" ]]  &&  mrun_com=${mrun_com}" -w $max_par_io_str"
     if [[ $do_remote = true ]]
Index: /palm/trunk/UTIL/mrungui/mainwindow.cpp
===================================================================
--- /palm/trunk/UTIL/mrungui/mainwindow.cpp	(revision 919)
+++ /palm/trunk/UTIL/mrungui/mainwindow.cpp	(revision 920)
@@ -2,5 +2,5 @@
 // Current revisions:
 // -----------------
-//
+// Added -Z option (disable combine_plot_fields)
 //
 // Former revisions:
@@ -1088,4 +1088,15 @@
         deactivate_flag("x");
     }
+    
+    status = ui->check_Z->checkState();
+
+    if (status == 2)
+    {
+        activate_flag("Z");
+    }
+    else
+    {
+        deactivate_flag("Z");
+    }
     return 0;
 
@@ -1438,5 +1449,4 @@
             {
                ui->check_A->setChecked(true);
-
             }
             else if ( parameter == "b")
@@ -1475,4 +1485,9 @@
                advanced = true;
             }
+            else if ( parameter == "Z")
+            {
+               ui->check_Z->setChecked(true);
+               advanced = true;
+            }  
             else if ( parameter == "m")
             {
Index: /palm/trunk/UTIL/mrungui/mainwindow.ui
===================================================================
--- /palm/trunk/UTIL/mrungui/mainwindow.ui	(revision 919)
+++ /palm/trunk/UTIL/mrungui/mainwindow.ui	(revision 920)
@@ -945,5 +945,5 @@
       <rect>
        <x>280</x>
-       <y>235</y>
+       <y>255</y>
        <width>111</width>
        <height>25</height>
@@ -970,5 +970,5 @@
       <rect>
        <x>200</x>
-       <y>315</y>
+       <y>330</y>
        <width>191</width>
        <height>25</height>
@@ -983,5 +983,5 @@
       <rect>
        <x>200</x>
-       <y>290</y>
+       <y>305</y>
        <width>191</width>
        <height>25</height>
@@ -1012,5 +1012,5 @@
       <rect>
        <x>10</x>
-       <y>220</y>
+       <y>240</y>
        <width>381</width>
        <height>16</height>
@@ -1025,5 +1025,5 @@
       <rect>
        <x>100</x>
-       <y>240</y>
+       <y>260</y>
        <width>91</width>
        <height>15</height>
@@ -1041,5 +1041,5 @@
       <rect>
        <x>200</x>
-       <y>235</y>
+       <y>255</y>
        <width>71</width>
        <height>25</height>
@@ -1051,5 +1051,5 @@
       <rect>
        <x>30</x>
-       <y>295</y>
+       <y>310</y>
        <width>161</width>
        <height>16</height>
@@ -1067,5 +1067,5 @@
       <rect>
        <x>10</x>
-       <y>320</y>
+       <y>335</y>
        <width>181</width>
        <height>16</height>
@@ -1083,5 +1083,5 @@
       <rect>
        <x>20</x>
-       <y>345</y>
+       <y>360</y>
        <width>171</width>
        <height>16</height>
@@ -1099,5 +1099,5 @@
       <rect>
        <x>200</x>
-       <y>340</y>
+       <y>355</y>
        <width>191</width>
        <height>25</height>
@@ -1112,5 +1112,5 @@
       <rect>
        <x>60</x>
-       <y>370</y>
+       <y>385</y>
        <width>131</width>
        <height>16</height>
@@ -1128,5 +1128,5 @@
       <rect>
        <x>200</x>
-       <y>365</y>
+       <y>380</y>
        <width>191</width>
        <height>25</height>
@@ -1141,12 +1141,11 @@
       <rect>
        <x>20</x>
-       <y>395</y>
+       <y>410</y>
        <width>171</width>
-       <height>31</height>
-      </rect>
-     </property>
-     <property name="text">
-      <string>Filenames of routines to be
- compiled:</string>
+       <height>16</height>
+      </rect>
+     </property>
+     <property name="text">
+      <string>Filenames to be compiled:</string>
      </property>
      <property name="alignment">
@@ -1284,5 +1283,5 @@
       <rect>
        <x>30</x>
-       <y>265</y>
+       <y>285</y>
        <width>161</width>
        <height>16</height>
@@ -1300,5 +1299,5 @@
       <rect>
        <x>200</x>
-       <y>260</y>
+       <y>280</y>
        <width>191</width>
        <height>25</height>
@@ -1307,4 +1306,17 @@
      <property name="text">
       <string/>
+     </property>
+    </widget>
+    <widget class="QCheckBox" name="check_Z">
+     <property name="geometry">
+      <rect>
+       <x>10</x>
+       <y>225</y>
+       <width>421</width>
+       <height>23</height>
+      </rect>
+     </property>
+     <property name="text">
+      <string>-Z  (disable combine_plot_fields at the end of job)</string>
      </property>
     </widget>
@@ -1426,5 +1438,5 @@
   </action>
  </widget>
- <layoutdefault spacing="6" margin="11"/>
+ <layoutdefault spacing="1" margin="11"/>
  <tabstops>
   <tabstop>pushButton</tabstop>
@@ -2082,5 +2094,5 @@
     <hint type="sourcelabel">
      <x>756</x>
-     <y>303</y>
+     <y>332</y>
     </hint>
     <hint type="destinationlabel">
@@ -2098,5 +2110,5 @@
     <hint type="sourcelabel">
      <x>796</x>
-     <y>358</y>
+     <y>387</y>
     </hint>
     <hint type="destinationlabel">
@@ -2130,5 +2142,5 @@
     <hint type="sourcelabel">
      <x>850</x>
-     <y>410</y>
+     <y>438</y>
     </hint>
     <hint type="destinationlabel">
@@ -2226,5 +2238,5 @@
     <hint type="sourcelabel">
      <x>887</x>
-     <y>303</y>
+     <y>332</y>
     </hint>
     <hint type="destinationlabel">
@@ -2423,4 +2435,20 @@
      <x>5</x>
      <y>594</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>check_Z</sender>
+   <signal>stateChanged(int)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>check_flags()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>730</x>
+     <y>295</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>458</x>
+     <y>344</y>
     </hint>
    </hints>