Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 940)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 941)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! checks for parameter neutral
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 940 2012-07-09 14:31:00Z raasch
+! checks for parameter neutral
 !
 ! 924 2012-06-06 07:44:41Z maronga
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 940)
+++ palm/trunk/SOURCE/header.f90	(revision 941)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! Output in case of simulations for pure neutral stratification (no pt-equation
-! solved)
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 940 2012-07-09 14:31:00Z raasch
+! Output in case of simulations for pure neutral stratification (no pt-equation
+! solved)
 !
 ! 927 2012-06-06 19:15:04Z raasch
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 940)
+++ palm/trunk/SOURCE/modules.f90	(revision 941)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! +neutral
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 940 2012-07-09 14:31:00Z raasch
+! +neutral
 !
 ! 927 2012-06-06 19:15:04Z raasch
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 940)
+++ palm/trunk/SOURCE/parin.f90	(revision 941)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! +neutral in inipar
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 940 2012-07-09 14:31:00Z raasch
+! +neutral in inipar
 !
 ! 927 2012-06-06 19:15:04Z raasch
Index: palm/trunk/SOURCE/poisfft.f90
===================================================================
--- palm/trunk/SOURCE/poisfft.f90	(revision 940)
+++ palm/trunk/SOURCE/poisfft.f90	(revision 941)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! special handling of tri-array as an argument in tridia_1dd routines switched
-! off because it caused segmentation faults with intel 12.1 compiler
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 940 2012-07-09 14:31:00Z raasch
+! special handling of tri-array as an argument in tridia_1dd routines switched
+! off because it caused segmentation faults with intel 12.1 compiler
 !
 ! 877 2012-04-03 11:21:44Z suehring
Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 940)
+++ palm/trunk/SOURCE/production_e.f90	(revision 941)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! TKE production by buoyancy can be switched off in case of runs with pure
-! neutral stratification
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 940 2012-07-09 14:31:00Z raasch
+! TKE production by buoyancy can be switched off in case of runs with pure
+! neutral stratification
 !
 ! 759 2011-09-15 13:58:31Z raasch
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 940)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 941)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! temperature equation can be switched off
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 940 2012-07-09 14:31:00Z raasch
+! temperature equation can be switched off
 !
 ! 785 2011-11-28 09:47:19Z raasch
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 940)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 941)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! ------------------
-! +neutral
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 940 2012-07-09 14:31:00Z raasch
+! +neutral
 !
 ! 927 2012-06-06 19:15:04Z raasch
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 940)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 941)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! +neutral
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 940 2012-07-09 14:31:00Z raasch
+! +neutral
 !
 ! 927 2012-06-06 19:15:04Z raasch