Index: palm/trunk/TUTORIAL/SOURCE/exercise_cbl.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/exercise_cbl.tex	(revision 949)
+++ palm/trunk/TUTORIAL/SOURCE/exercise_cbl.tex	(revision 949)
@@ -0,0 +1,211 @@
+% $Id$
+\input{header_tmp.tex}
+%\input{../header_lectures.tex}
+
+\usepackage[utf8]{inputenc}
+\usepackage{ngerman}
+\usepackage{pgf}
+\usetheme{Dresden}
+\usepackage{subfigure}
+\usepackage{units}
+\usepackage{multimedia}
+\usepackage{hyperref}
+\newcommand{\event}[1]{\newcommand{\eventname}{#1}}
+\usepackage{xmpmulti}
+\usepackage{tikz}
+\usetikzlibrary{shapes,arrows,positioning}
+\usetikzlibrary{decorations.markings}             %neues paket
+\usetikzlibrary{decorations.pathreplacing}        %neues paket
+\def\Tiny{\fontsize{4pt}{4pt}\selectfont}
+\usepackage{amsmath}
+\usepackage{amssymb}
+\usepackage{multicol}
+\usepackage{pdfcomment}
+\usepackage{graphicx}
+\usepackage{listings}
+\lstset{showspaces=false,language=fortran,basicstyle=
+        \ttfamily,showstringspaces=false,captionpos=b}
+
+\institute{Institut fÃŒr Meteorologie und Klimatologie, Leibniz UniversitÃ€t Hannover}
+\date{last update: \today}
+\event{PALM Seminar}
+\setbeamertemplate{navigation symbols}{}
+
+\setbeamertemplate{footline}
+  {
+    \begin{beamercolorbox}[rightskip=-0.1cm]&
+     {\includegraphics[height=0.65cm]{imuk_logo.pdf}\hfill \includegraphics[height=0.65cm]{luh_logo.pdf}}
+    \end{beamercolorbox}
+    \begin{beamercolorbox}[ht=2.5ex,dp=1.125ex,
+      leftskip=.3cm,rightskip=0.3cm plus1fil]{title in head/foot}
+      {\leavevmode{\usebeamerfont{author in head/foot}\insertshortauthor} \hfill \eventname \hfill \insertframenumber \; / \inserttotalframenumber}
+    \end{beamercolorbox}
+    \begin{beamercolorbox}[colsep=1.5pt]{lower separation line foot}
+    \end{beamercolorbox}
+  }
+%\logo{\includegraphics[width=0.3\textwidth]{luhimuk_logo.pdf}}
+
+\title[Exercise 1: Convection Between Plates]{Exercise 1: Convection Between Plates}
+\author{Siegfried Raasch}
+
+\begin{document}
+
+% Folie 1
+\begin{frame}
+\titlepage
+\end{frame}
+
+\section{Exercise 1: Convection Between Plates}
+\subsection{Exercise 1: Convective Between Plates}
+
+% Folie 2
+\begin{frame}
+   \frametitle{Exercise 1: Convection Between Plates}
+   
+   Please try to carry out a run with following initial and boundary conditions and create the required output.
+   \begin{itemize}
+      \scriptsize
+	   \item<2-> The simulation should represent a stationary convective boundary layer between two uniformly heated/cooled plates with zero mean flow.
+	   \item<3-> A free-slip condition for velocity shall be used at the bottom and top boundary.
+	   \item<4-> The sensible heat flux at the bottom and top boundary shall be constant throughout the simulation.
+   \end{itemize}   
+   \onslide<5-> Simulation features:
+   \begin{itemize}
+      \scriptsize
+	   \item<6-> domain size: about $\unit[2000 \times 2000 \times 1000]{m}$ ($x$/$y$/$z$)
+	   \item<7-> grid size: $\unit[50]{m}$ equidistant
+	   \item<8-> simulated time:	$\unit[3600]{s}$
+	   \item<9-> surface heatflux: $\unit[0.1]{K\ m\ s^{-1}}$
+	   \item<10-> heatflux at top: $\unit[0.1]{K\ m\ s^{-1}}$
+	   \item<11-> initial temperature: $\unit[300]{K}$ everywhere
+	   \item<12-> initial velocity: zero, everywhere
+   \end{itemize}  
+\end{frame}
+
+% Folie 3
+\begin{frame}
+   \frametitle{Questions to be Answered:}
+   
+   \begin{itemize}
+   \item<1-> How does the flow field looks like after 60 minutes simulated time? (what kind of output do you need to answer this?)
+   \item<2-> How do the horizontally and temporally averaged vertical temperature and heat flux profile look like?
+   \item<3-> Is it really a large-eddy simulation, i.e. are the subgrid-scale fluxes much smaller than the resolved-scale fluxes? (How long should the averaging time interval be?)
+   \item<4-> How do the total kinetic energy and the maximum velocity components change in time? Has the flow become stationary?
+   \item<5-> Has the domain size and grid size been chosen appropriately?
+   \end{itemize}
+
+\end{frame}
+	
+% Folie 4
+\begin{frame}
+   \frametitle{Hints (I)}
+   \scriptsize
+   
+   PALM parameter names are displayed by courier style, e.g. \textcolor{blue}{\texttt{end\_time}}.\\
+
+   \begin{itemize}
+      \item<2-> Domain size
+      \begin{itemize}
+         \scriptsize
+         \item[-]<2-> Is controled by grid size (\textcolor{blue}{\texttt{dx}}, \textcolor{blue}{\texttt{dy}}, \textcolor{blue}{\texttt{dz}}) and number of grid points (\textcolor{blue}{\texttt{nx}}, \textcolor{blue}{\texttt{ny}}, \textcolor{blue}{\texttt{nz}}). Since the first grid point along one of the directions has index 0, the total number of grid points used are \textcolor{blue}{\texttt{nx}}+1, \textcolor{blue}{\texttt{ny}}+1, \textcolor{blue}{\texttt{nz}}+1. The total domain size in case of cyclic horizontal boundary conditions is (\textcolor{blue}{\texttt{nx}}+1)*\textcolor{blue}{\texttt{dx}}, (\textcolor{blue}{\texttt{ny}}+1)*\textcolor{blue}{\texttt{dy}}.
+      \end{itemize}
+      
+      \item<3-> Initial profiles
+      \begin{itemize}
+         \scriptsize
+         \item[-]<3-> Constant with height. See parameter \textcolor{blue}{\texttt{initializing\_actions}} for available initialization methods. See \textcolor{blue}{\texttt{ug\_surface}}, \textcolor{blue}{\texttt{vg\_surface}} and \textcolor{blue}{\texttt{pt\_surface}} for initial values of velocity and potential temperature.
+      \end{itemize}
+      
+      \item<4-> Boundary conditions
+       \begin{itemize}
+         \scriptsize
+         \item[-]<4-> For velocity, see \textcolor{blue}{\texttt{bc\_uv\_b}} and \textcolor{blue}{\texttt{bc\_uv\_t}}. See also \textcolor{blue}{\texttt{prandtl\_layer}}, because Neumann conditions donât allow to use a Prandtl-layer.
+         \item[-]<5-> For temperature / heat flux, see \textcolor{blue}{\texttt{surface\_heatflux}} and \textcolor{blue}{\texttt{top\_heatflux}}. Prescribing of heat flux at the boundary requires a Neumann boundary condition for temperature, see \textcolor{blue}{\texttt{bc\_pt\_b}} and \textcolor{blue}{\texttt{bc\_pt\_t}}.
+         \item[-]<6-> Use a Neumann condition also for the perturbation pressure both at the bottom and the top (\textcolor{blue}{\texttt{bc\_p\_b}}, \textcolor{blue}{\texttt{bc\_p\_t}}).
+      \end{itemize}     
+      
+      \item<7-> Simulation time
+      \begin{itemize}
+         \scriptsize
+         \item[-]<7-> See parameter \textcolor{blue}{\texttt{end\_time}}.
+      \end{itemize}
+      
+   \end{itemize}
+
+\end{frame}
+
+% Folie 5
+\begin{frame}
+   \frametitle{Hints (II)}
+   \footnotesize
+   
+   Hints for data output.
+   
+   \begin{itemize}
+   
+      \item<2-> Variables
+      \begin{itemize}
+         \footnotesize
+         \item[-]<2-> Output variables are chosen with parameters \textcolor{blue}{\texttt{data\_output}} (3d-data or 2d-cross-sections) and \textcolor{blue}{\texttt{data\_output\_pr}} (profiles).
+      \end{itemize}
+
+      \item<3-> Output intervals
+      \begin{itemize}
+         \footnotesize
+         \item[-]<3-> Output intervals are set with parameter \textcolor{blue}{\texttt{dt\_data\_output}}. This parameter affects all output (cross-sections, profiles, etc.). Individual temporal intervals for the different output quantities can be assigned using parameters \textcolor{blue}{\texttt{dt\_do3d}}, \textcolor{blue}{\texttt{dt\_do2d\_xy}}, \textcolor{blue}{\texttt{dt\_do2d\_xz}}, \textcolor{blue}{\texttt{dt\_do2d\_yz}}, \textcolor{blue}{\texttt{dt\_dopr}}, etc. 
+      \end{itemize}
+      
+      \item<4-> Time averaging
+      \begin{itemize}
+         \footnotesize
+         \item[-]<4-> Time averaging is controlled with parameters  \textcolor{blue}{\texttt{averaging\_interval}},  \textcolor{blue}{\texttt{averaging\_interval\_pr}},  \textcolor{blue}{\texttt{dt\_averaging\_input}},  \textcolor{blue}{\texttt{dt\_averaging\_input\_pr}}.
+      \end{itemize}
+
+   \end{itemize}
+
+\end{frame}
+
+% Folie 6
+\begin{frame}
+   \frametitle{Further Hints}
+
+   \onslide<2-> You will find some more detailed information to solve this exercise in the PALM-online-documentation under (attention: the documentation is for atmospheric convection with free upper lid):\\
+   \ \\
+   \small\url{http://palm.muk.uni-hannover.de/wiki/doc/app/examples/cbl}\\
+   \ \\
+   \ \\
+   \normalsize Please also see under\\
+   \ \\
+   \small\url{http://palm.muk.uni-hannover.de/wiki/doc/app/netcdf}\\
+   \ \\
+   \normalsize where the complete PALM netCDF-data-output and the respective steering parameters are described.
+
+\end{frame}
+
+% Folie 7
+\begin{frame}
+   \frametitle{How to Start?}
+
+   \begin{itemize}
+      \item<2-> Create a data directory for a new run:\\
+	   \quad \texttt{cd \~{}/palm/current\_version}\\
+	   \quad \texttt{mkdir -p JOBS/uniform\_plates/INPUT}
+	   
+	   \item<3-> Create the parameter file and set the required parameters in\\
+ 	   \quad \texttt{JOBS/uniform\_plates/INPUT/uniform\_plates\_p3d}
+ 	   
+ 	   \item<4-> Start the run with \texttt{mrun-command}\\
+	   \quad \texttt{mrun -d uniform\_plates -h <hi> -K parallel ...}\\
+	   and analyze the output files.
+
+   \end{itemize}
+   
+   \ \\
+   
+   \onslide<5-> \huge \centering \textcolor{blue}{Good Luck!}
+
+\end{frame}
+
+
+
+\end{document}
Index: palm/trunk/TUTORIAL/SOURCE/exercise_restart.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/exercise_restart.tex	(revision 949)
+++ palm/trunk/TUTORIAL/SOURCE/exercise_restart.tex	(revision 949)
@@ -0,0 +1,78 @@
+% $Id$
+\input{header_tmp.tex}
+%\input{../header_lectures.tex}
+
+\usepackage[utf8]{inputenc}
+\usepackage{ngerman}
+\usepackage{pgf}
+\usetheme{Dresden}
+\usepackage{subfigure}
+\usepackage{units}
+\usepackage{multimedia}
+\usepackage{hyperref}
+\newcommand{\event}[1]{\newcommand{\eventname}{#1}}
+\usepackage{xmpmulti}
+\usepackage{tikz}
+\usetikzlibrary{shapes,arrows,positioning}
+\usetikzlibrary{decorations.markings}
+\usetikzlibrary{decorations.pathreplacing}
+\def\Tiny{\fontsize{4pt}{4pt}\selectfont}
+\usepackage{amsmath}
+\usepackage{amssymb}
+\usepackage{multicol}
+\usepackage{pdfcomment}
+\usepackage{graphicx}
+\usepackage{listings}
+\lstset{showspaces=false,language=fortran,basicstyle=
+        \ttfamily,showstringspaces=false,captionpos=b}
+
+\institute{Institut fÃŒr Meteorologie und Klimatologie, Leibniz UniversitÃ€t Hannover}
+\date{last update: \today}
+\event{PALM Seminar}
+\setbeamertemplate{navigation symbols}{}
+
+\setbeamertemplate{footline}
+  {
+    \begin{beamercolorbox}[rightskip=-0.1cm]&
+     {\includegraphics[height=0.65cm]{imuk_logo.pdf}\hfill \includegraphics[height=0.65cm]{luh_logo.pdf}}
+    \end{beamercolorbox}
+    \begin{beamercolorbox}[ht=2.5ex,dp=1.125ex,
+      leftskip=.3cm,rightskip=0.3cm plus1fil]{title in head/foot}
+      {\leavevmode{\usebeamerfont{author in head/foot}\insertshortauthor} \hfill \eventname \hfill \insertframenumber \; / \inserttotalframenumber}
+    \end{beamercolorbox}
+    \begin{beamercolorbox}[colsep=1.5pt]{lower separation line foot}
+    \end{beamercolorbox}
+  }
+%\logo{\includegraphics[width=0.3\textwidth]{luhimuk_logo.pdf}}
+
+\title[Exercise 4: Restart Runs]{Exercise 4: Restart Runs}
+\author{Siegfried Raasch}
+
+\begin{document}
+
+% Folie 1
+\begin{frame}
+   \titlepage
+\end{frame}
+
+\section{Exercise 4: Restart Runs}
+\subsection{Exercise 4: Restart Runs}
+
+
+
+% Folie 11
+\begin{frame}
+   \frametitle{Exercise 4: Restart Runs}
+   
+   \begin{itemize}
+      \item<2-> Set the job time ($-t$ ...) of a run (e.g. the example-run) in a way that at least one restart job is necessary to reach the end time of the simulation.
+      \item<3-> Alternatively, create a job chain containing at least one restart run by setting the \texttt{d3par}-parameters \texttt{restart\underline{ }time} and \texttt{dt\underline{ }restart} manually.
+      \item<4-> Compare, if the results from the job chain are the same as if the simulated is carried out in one single job. (They should be!)
+      \item<5-> Carry out this job and watch what happens.
+      \item<6-> Delete the results of the restart job(s) and carry out the restart from the initial run manually.
+   \end{itemize} 
+   
+\end{frame}
+
+
+\end{document}
Index: palm/trunk/TUTORIAL/SOURCE/restarts_with_mrun.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/restarts_with_mrun.tex	(revision 948)
+++ palm/trunk/TUTORIAL/SOURCE/restarts_with_mrun.tex	(revision 949)
@@ -252,19 +252,3 @@
 \end{frame}
 
-
-% Folie 11
-\begin{frame}
-   \frametitle{Exercise}
-   
-   \begin{itemize}
-      \item<2-> Set the job time ($-t$ ...) of a run (e.g. the example-run) in a way that at least one restart job is necessary to reach the end time of the simulation.
-      \item<3-> Alternatively, create a job chain containing at least one restart run by setting the \texttt{d3par}-parameters \texttt{restart\underline{ }time} and \texttt{dt\underline{ }restart} manually.
-      \item<4-> Compare, if the results from the job chain are the same as if the simulated is carried out in one single job. (They should be!)
-      \item<5-> Carry out this job and watch what happens.
-      \item<6-> Delete the results of the restart job(s) and carry out the restart from the initial run manually.
-   \end{itemize} 
-   
-\end{frame}
-
-
 \end{document}