Index: palm/trunk/SCRIPTS/NCL/cross_sections.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 956)
+++ palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 957)
@@ -2220,25 +2220,40 @@
      png_output = new((/no_frames/), string)
      j = 0
-     do i=0, no_frames-1
-       j = i + 1
-       if (j .LE. 9) then
-         png_output(i) = file_out+".00000"+j+".png"
-       end if
-       if (j .GT. 9 .AND. j .LE. 99) then
-         png_output(i) = file_out+".0000"+j+".png"
-       end if
-       if (j .GT. 99 .AND. j .LE. 999) then
-         png_output(i) = file_out+".000"+j+".png"
-       end if
-       if (j .GT. 999) then
-         png_output(i) = file_out+".00"+j+".png"
-       end if
-
-       ;using imagemagick's convert for reducing the white 
-       ;space around the plot
-       cmd = "convert -geometry 1000x1000 -density 300 -trim " +  \
-              png_output(i) + " " + png_output(i)
+
+     if (no_frames .eq. 1) then
+        if (ncl_version .GE. 6 ) then
+           png_output(0) = file_out+".png"
+        else
+           png_output(0) = file_out+".00000"+1+".png"
+        end if
+        ;using imagemagick's convert for reducing the white 
+        ;space around the plot
+        cmd = "convert -geometry 1000x1000 -density 300 -trim " +  \
+              png_output(0) + " " + png_output(0)
        system(cmd)
-     end do
+     else
+
+       do i=0, no_frames-1
+         j = i + 1
+         if (j .LE. 9) then
+           png_output(i) = file_out+".00000"+j+".png"
+         end if
+         if (j .GT. 9 .AND. j .LE. 99) then
+           png_output(i) = file_out+".0000"+j+".png"
+         end if
+         if (j .GT. 99 .AND. j .LE. 999) then
+           png_output(i) = file_out+".000"+j+".png"
+         end if
+         if (j .GT. 999) then
+           png_output(i) = file_out+".00"+j+".png"
+         end if
+
+         ;using imagemagick's convert for reducing the white 
+         ;space around the plot
+         cmd = "convert -geometry 1000x1000 -density 300 -trim " +  \
+                png_output(i) + " " + png_output(i)
+         system(cmd)
+       end do
+     end if
 
      print(" ")
@@ -2250,4 +2265,4 @@
      print(" ")
    end if
- 
+
 end
Index: palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 956)
+++ palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 957)
@@ -1377,9 +1377,12 @@
       res@tmYLMinorPerMajor = 4
 
-      resP                        = True
-      resP@txFont                 = "helvetica"
-      resP@txString               = f_att@title
-      resP@txFuncCode             = "~"
-      resP@txFontHeightF          = 0.015
+      resP                            = True
+      resP@gsnMaximize                = True 
+      resP@gsnPanelXWhiteSpacePercent = 3.0
+      resP@gsnPanelYWhiteSpacePercent = 2.0
+      resP@txFont                     = "helvetica"
+      resP@txString                   = f_att@title
+      resP@txFuncCode                 = "~"
+      resP@txFontHeightF              = 0.015
 
       ; ***************************************************
@@ -4637,28 +4640,44 @@
    end if
 
-    if (format_out .EQ. "png" ) then
+
+   if (format_out .EQ. "png" ) then
      png_output = new((/no_frames/), string)
      j = 0
-     do i=0, no_frames-1
-       j = i + 1
-       if (j .LE. 9) then
-         png_output(i) = file_out+".00000"+j+".png"
-       end if
-       if (j .GT. 9 .AND. j .LE. 99) then
-         png_output(i) = file_out+".0000"+j+".png"
-       end if
-       if (j .GT. 99 .AND. j .LE. 999) then
-         png_output(i) = file_out+".000"+j+".png"
-       end if
-       if (j .GT. 999) then
-         png_output(i) = file_out+".00"+j+".png"
-       end if
-
-       ;using imagemagick's convert for reducing the white 
-       ;space around the plot
-       cmd = "convert -geometry 1000x1000 -density 300 -trim " +  \
-              png_output(i) + " " + png_output(i)
+
+     if (no_frames .eq. 1) then
+        if (ncl_version .GE. 6 ) then
+           png_output(0) = file_out+".png"
+        else
+           png_output(0) = file_out+".00000"+1+".png"
+        end if
+        ;using imagemagick's convert for reducing the white 
+        ;space around the plot
+        cmd = "convert -geometry 1000x1000 -density 300 -trim " +  \
+              png_output(0) + " " + png_output(0)
        system(cmd)
-     end do
+     else
+
+       do i=0, no_frames-1
+         j = i + 1
+         if (j .LE. 9) then
+           png_output(i) = file_out+".00000"+j+".png"
+         end if
+         if (j .GT. 9 .AND. j .LE. 99) then
+           png_output(i) = file_out+".0000"+j+".png"
+         end if
+         if (j .GT. 99 .AND. j .LE. 999) then
+           png_output(i) = file_out+".000"+j+".png"
+         end if
+         if (j .GT. 999) then
+           png_output(i) = file_out+".00"+j+".png"
+         end if
+
+         ;using imagemagick's convert for reducing the white 
+         ;space around the plot
+         cmd = "convert -geometry 1000x1000 -density 300 -trim " +  \
+                png_output(i) + " " + png_output(i)
+         system(cmd)
+       end do
+     end if
 
      print(" ")
Index: palm/trunk/SCRIPTS/NCL/spectra.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/spectra.ncl	(revision 956)
+++ palm/trunk/SCRIPTS/NCL/spectra.ncl	(revision 957)
@@ -751,25 +751,40 @@
      png_output = new((/no_frames/), string)
      j = 0
-     do i=0, no_frames-1
-       j = i + 1
-       if (j .LE. 9) then
-         png_output(i) = file_out+".00000"+j+".png"
-       end if
-       if (j .GT. 9 .AND. j .LE. 99) then
-         png_output(i) = file_out+".0000"+j+".png"
-       end if
-       if (j .GT. 99 .AND. j .LE. 999) then
-         png_output(i) = file_out+".000"+j+".png"
-       end if
-       if (j .GT. 999) then
-         png_output(i) = file_out+".00"+j+".png"
-       end if
-
-       ;using imagemagick's convert for reducing the white 
-       ;space around the plot
-       cmd = "convert -geometry 1000x1000 -density 300 -trim " +  \
-              png_output(i) + " " + png_output(i)
+
+     if (no_frames .eq. 1) then
+        if (ncl_version .GE. 6 ) then
+           png_output(0) = file_out+".png"
+        else
+           png_output(0) = file_out+".00000"+1+".png"
+        end if
+        ;using imagemagick's convert for reducing the white 
+        ;space around the plot
+        cmd = "convert -geometry 1000x1000 -density 300 -trim " +  \
+              png_output(0) + " " + png_output(0)
        system(cmd)
-     end do
+     else
+
+       do i=0, no_frames-1
+         j = i + 1
+         if (j .LE. 9) then
+           png_output(i) = file_out+".00000"+j+".png"
+         end if
+         if (j .GT. 9 .AND. j .LE. 99) then
+           png_output(i) = file_out+".0000"+j+".png"
+         end if
+         if (j .GT. 99 .AND. j .LE. 999) then
+           png_output(i) = file_out+".000"+j+".png"
+         end if
+         if (j .GT. 999) then
+           png_output(i) = file_out+".00"+j+".png"
+         end if
+
+         ;using imagemagick's convert for reducing the white 
+         ;space around the plot
+         cmd = "convert -geometry 1000x1000 -density 300 -trim " +  \
+                png_output(i) + " " + png_output(i)
+         system(cmd)
+       end do
+     end if
 
      print(" ")