Index: palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- palm/trunk/SOURCE/data_output_profiles.f90	(revision 392)
+++ palm/trunk/SOURCE/data_output_profiles.f90	(revision 964)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! code for profil-output removed
 !
 ! Former revisions:
@@ -52,6 +52,4 @@
 
     INTEGER ::  i, id, ilc, ils, j, k, sr
-    REAL    ::  uxma, uxmi
-
 
 !
@@ -91,19 +89,6 @@
 
 !
-!--    Open PROFIL-output files for each (sub-)region
-       IF ( profil_output )  THEN
-          DO  sr = 0, statistic_regions
-             CALL check_open( 40 + sr )
-          ENDDO
-       ENDIF
-
-!
 !--    Increment the counter for number of output times
        dopr_time_count = dopr_time_count + 1
-
-!
-!--    Re-set to zero the counter for the number of profiles already written
-!--    at the current output time into the respective crosses
-       cross_pnc_local = 0
 
 !
@@ -178,20 +163,4 @@
                    DO  sr = 0, statistic_regions
 
-                      IF ( profil_output )  THEN
-                         id = 40 + sr
-!
-!--                      Write Label-Header
-                         WRITE ( id, 100 )  TRIM( data_output_pr(i) ), '(t=0)'
-!
-!--                      Write total profile
-                         DO  k = nzb, nzt+1
-                            WRITE ( id, 101 )  hom(k,2,dopr_initial_index(i),sr), &
-                                               hom(k,1,dopr_initial_index(i),sr)
-                         ENDDO
-!
-!--                      Write separation label
-                         WRITE ( id, 102 )
-                      ENDIF
-
                       IF ( netcdf_output )  THEN
 #if defined( __netcdf )
@@ -208,144 +177,4 @@
                    ENDDO
 
-                   IF ( profil_output )  THEN
-!
-!--                   Determine indices for later NAMELIST-output (s. below)
-                      profile_number = profile_number + 1
-                      j = dopr_crossindex(i)
-                      IF ( j /= 0 )  THEN
-                         cross_profile_number_count(j) = &
-                                                  cross_profile_number_count(j) + 1
-                         k = cross_profile_number_count(j)
-                         cross_profile_numbers(k,j) = profile_number
-!
-!--                      Initial profiles are always drawn as solid lines in 
-!--                      anti-background colour.
-                         cross_linecolors(k,j) = 1
-                         cross_linestyles(k,j) = 0
-!
-!--                      If required, extend x-value range of the respective
-!--                      cross, provided it has not been specified in &
-!--                      check_parameters. Determination over all (sub-)regions.
-                         IF ( cross_uxmin(j) == 0.0  .AND. &
-                              cross_uxmax(j) == 0.0 )  THEN
-
-                            DO  sr = 0, statistic_regions
-
-                               uxmi = &
-                               MINVAL( hom(:nz_do1d,1,dopr_initial_index(i),sr) )
- 
-                               uxma = &
-                               MAXVAL( hom(:nz_do1d,1,dopr_initial_index(i),sr) )
-! 
-!--                            When the value range of the first line in the
-!--                            corresponding cross is determined, its value range
-!--                            is simply adopted.
-                               IF ( cross_uxmin_computed(j) > &
-                                    cross_uxmax_computed(j) )  THEN
-                                  cross_uxmin_computed(j) = uxmi
-                                  cross_uxmax_computed(j) = uxma
-                               ELSE
-                                  cross_uxmin_computed(j) = &
-                                               MIN( cross_uxmin_computed(j), uxmi )
-                                  cross_uxmax_computed(j) = &
-                                               MAX( cross_uxmax_computed(j), uxma )
-                               ENDIF
-
-                            ENDDO
-
-                         ENDIF
-!
-!--                      If required, determine and note normalizing factors
-                         SELECT CASE ( cross_normalized_x(j) )
-   
-                             CASE ( 'ts2' )
-                               cross_normx_factor(k,j) = &
-                                ( hom_sum(nzb+3,pr_palm,normalizing_region) )**2
-                            CASE ( 'wpt0' )
-                               cross_normx_factor(k,j) = &
-                                hom_sum(nzb,18,normalizing_region)
-                            CASE ( 'wsts2' )
-                               cross_normx_factor(k,j) = &
-                                hom_sum(nzb+8,pr_palm,normalizing_region)  &
-                              * ( hom_sum(nzb+3,pr_palm,normalizing_region) )**2
-                            CASE ( 'ws2' )
-                               cross_normx_factor(k,j) = &
-                                ( hom_sum(nzb+8,pr_palm,normalizing_region) )**2
-                            CASE ( 'ws2ts' )
-                               cross_normx_factor(k,j) = &
-                              ( hom_sum(nzb+8,pr_palm,normalizing_region) )**2 &
-                              * hom_sum(nzb+3,pr_palm,normalizing_region)
-                             CASE ( 'ws3' )
-                               cross_normx_factor(k,j) = &
-                                ( hom_sum(nzb+8,pr_palm,normalizing_region) )**3
-
-                         END SELECT
-
-                         SELECT CASE ( cross_normalized_y(j) )
-  
-                            CASE ( 'z_i' )
-                                cross_normy_factor(k,j) = &
-                                        hom_sum(nzb+6,pr_palm,normalizing_region)
-
-                         END SELECT
-
-!
-!--                      Check the normalizing factors for zeros and deactivate
-!--                      the normalization, if required.
-                         IF ( cross_normx_factor(k,j) == 0.0  .OR. &
-                              cross_normy_factor(k,j) == 0.0 )  THEN
-                            WRITE( message_string, * ) 'data_output_profiles: ',  &
-                                'normalizing cross ',j, ' is not possible ',     &
-                                'since one of the & normalizing factors ',       &
-                                 'is zero! & cross_normx_factor(',k,',',j,') = ', &
-                                                         cross_normx_factor(k,j), &
-                                 ' & cross_normy_factor(',k,',',j,') = ',         &
-                                                         cross_normy_factor(k,j)
-                            CALL message( 'data_output_profiles', 'PA0185',&
-                                                                    0, 1, 0, 6, 0 )
-                            cross_normx_factor(k,j) = 1.0
-                            cross_normy_factor(k,j) = 1.0
-                            cross_normalized_x(j) = ' '
-                            cross_normalized_y(j) = ' '
-                         ENDIF
-
-!
-!--                      If required, extend normalized x-value range of the
-!--                      respective cross, provided it has not been specified in
-!--                      check_parameters. Determination over all (sub-)regions.
-                         IF ( cross_uxmin_normalized(j) == 0.0  .AND. &
-                              cross_uxmax_normalized(j) == 0.0 )  THEN
-
-                            DO  sr = 0, statistic_regions
-
-                               uxmi = MINVAL( hom(:nz_do1d,1,             &
-                                              dopr_initial_index(i),sr) ) / &
-                                      cross_normx_factor(k,j)
-                               uxma = MAXVAL( hom(:nz_do1d,1,             &
-                                              dopr_initial_index(i),sr) ) / &
-                                       cross_normx_factor(k,j)
-!
-!--                            When the value range of the first line in the
-!--                            corresponding cross is determined, its value range
-!--                            is simply adopted.
-                               IF ( cross_uxmin_normalized_computed(j) > &
-                                    cross_uxmax_normalized_computed(j) )  THEN
-                                  cross_uxmin_normalized_computed(j) = uxmi
-                                  cross_uxmax_normalized_computed(j) = uxma
-                               ELSE
-                                  cross_uxmin_normalized_computed(j) = &
-                                    MIN( cross_uxmin_normalized_computed(j), uxmi )
-                                  cross_uxmax_normalized_computed(j) = &
-                                    MAX( cross_uxmax_normalized_computed(j), uxma )
-                               ENDIF
-
-                            ENDDO
-
-                         ENDIF
-
-                      ENDIF   ! Index determination
-
-                   ENDIF   ! profil output
-
                 ENDIF   ! Initial profile available
 
@@ -425,20 +254,4 @@
 !--       Output for the individual (sub-)domains
           DO  sr = 0, statistic_regions
-
-             IF ( profil_output )  THEN
-                id = 40 + sr
-!
-!--             Write Label-Header
-                WRITE ( id, 100 )  TRIM( dopr_label(i) ), simulated_time_chr
-!
-!--             Output of total profile
-                DO  k = nzb, nzt+1
-                   WRITE ( id, 101 )  hom(k,2,dopr_index(i),sr), &
-                                      hom_sum(k,dopr_index(i),sr)
-                ENDDO
-!
-!--             Write separation label
-                WRITE ( id, 102 )
-             ENDIF
 
              IF ( netcdf_output )  THEN
@@ -456,143 +269,5 @@
           ENDDO
 
-          IF ( profil_output )  THEN
-!
-!--          Determine profile number on file and note the data for later
-!--          NAMELIST output, if the respective profile is to be drawn by
-!--          PROFIL (if it shall not be drawn, the variable dopr_crossindex has
-!--          the value 0, otherwise the number of the coordinate cross)
-             profile_number = profile_number + 1
-             j = dopr_crossindex(i)
-
-             IF ( j /= 0 )  THEN
-                cross_profile_number_count(j) = cross_profile_number_count(j) +1
-                k = cross_profile_number_count(j)
-                cross_pnc_local(j)            = cross_pnc_local(j)            +1
-                cross_profile_numbers(k,j) = profile_number
-                ilc = MOD( dopr_time_count, 10 )
-                IF ( ilc == 0 )  ilc = 10
-                cross_linecolors(k,j) = linecolors(ilc)
-                ils = MOD( cross_pnc_local(j), 11 )
-                IF ( ils == 0 )  ils = 11
-                cross_linestyles(k,j) = linestyles(ils)
-!
-!--             If required, extend x-value range of the respective coordinate 
-!--             cross, provided it has not been specified in check_parameters.
-!--             Determination over all (sub-)regions.
-                IF ( cross_uxmin(j) == 0.0  .AND.  cross_uxmax(j) == 0.0 )  THEN
-
-                   DO  sr = 0, statistic_regions
-
-                      uxmi = MINVAL( hom_sum(:nz_do1d,dopr_index(i),sr) )
-                      uxma = MAXVAL( hom_sum(:nz_do1d,dopr_index(i),sr) )
-!
-!--                   When the value range of the first line in the
-!--                   corresponding cross is determined, its value range is
-!--                   simply adopted.
-                      IF ( cross_uxmin_computed(j) > cross_uxmax_computed(j) ) &
-                      THEN
-                         cross_uxmin_computed(j) = uxmi
-                         cross_uxmax_computed(j) = uxma
-                      ELSE
-                         cross_uxmin_computed(j) = &
-                                           MIN( cross_uxmin_computed(j), uxmi )
-                         cross_uxmax_computed(j) = &
-                                           MAX( cross_uxmax_computed(j), uxma )
-                      ENDIF
-
-                   ENDDO
-
-                ENDIF
-!
-!--             If required, store the normalizing factors
-                SELECT CASE ( cross_normalized_x(j) )
-
-                   CASE ( 'tsw2' )
-                      cross_normx_factor(k,j) = &
-                            ( hom_sum(nzb+11,pr_palm,normalizing_region) )**2
-                   CASE ( 'wpt0' )
-                      cross_normx_factor(k,j) = &
-                              hom_sum(nzb,18,normalizing_region)
-                   CASE ( 'wstsw2' )
-                      cross_normx_factor(k,j) = &
-                              hom_sum(nzb+8,pr_palm,normalizing_region)  &
-                          * ( hom_sum(nzb+11,pr_palm,normalizing_region) )**2
-                   CASE ( 'ws2' )
-                      cross_normx_factor(k,j) = &
-                            ( hom_sum(nzb+8,pr_palm,normalizing_region) )**2
-                   CASE ( 'ws2tsw' )
-                      cross_normx_factor(k,j) = &
-                            ( hom_sum(nzb+8,pr_palm,normalizing_region) )**2&
-                            * hom_sum(nzb+11,pr_palm,normalizing_region)
-                   CASE ( 'ws3' )
-                      cross_normx_factor(k,j) = &
-                            ( hom_sum(nzb+8,pr_palm,normalizing_region) )**3
-
-                END SELECT
-                SELECT CASE ( cross_normalized_y(j) )
-
-                   CASE ( 'z_i' )
-                      cross_normy_factor(k,j) = &
-                                   hom_sum(nzb+6,pr_palm,normalizing_region)
-
-                END SELECT
-
-!
-!--             Check the normalizing factors for zeros and deactivate
-!--             the normalization, if required.
-                IF ( cross_normx_factor(k,j) == 0.0  .OR. &
-                     cross_normy_factor(k,j) == 0.0 )  THEN
-                   WRITE( message_string, * ) 'data_output_profiles: ',  &
-                              'normalizing cross ',j, ' is not possible ',     &
-                              'since one of the & normalizing factors ',       &
-                              'is zero! & cross_normx_factor(',k,',',j,') = ', &
-                                                      cross_normx_factor(k,j), &
-                              ' & cross_normy_factor(',k,',',j,') = ',         &
-                                                      cross_normy_factor(k,j)
-                         CALL message( 'data_output_profiles', 'PA0185',&
-                                                                0, 1, 0, 6, 0 )
-                    cross_normx_factor(k,j) = 1.0
-                    cross_normy_factor(k,j) = 1.0
-                    cross_normalized_x(j) = ' '
-                    cross_normalized_y(j) = ' '
-                ENDIF
-
-!
-!--             If required, extend normalized x-value range of the respective  
-!--             cross, provided it has not been specified in check_parameters.
-!--             Determination over all (sub-)regions.
-                IF ( cross_uxmin_normalized(j) == 0.0  .AND. &
-                     cross_uxmax_normalized(j) == 0.0 )  THEN
-
-                   DO  sr = 0, statistic_regions
-
-                      uxmi = MINVAL( hom(:nz_do1d,1,dopr_index(i),sr) ) / &
-                             cross_normx_factor(k,j)
-                      uxma = MAXVAL( hom(:nz_do1d,1,dopr_index(i),sr) ) / &
-                             cross_normx_factor(k,j)
-!
-!--                   When the value range of the first line in the
-!--                   corresponding cross is determined, its value range is
-!--                   simply adopted.
-                      IF ( cross_uxmin_normalized_computed(j) > &
-                           cross_uxmax_normalized_computed(j) )  THEN
-                         cross_uxmin_normalized_computed(j) = uxmi
-                         cross_uxmax_normalized_computed(j) = uxma
-                      ELSE
-                         cross_uxmin_normalized_computed(j) = &
-                                MIN( cross_uxmin_normalized_computed(j), uxmi )
-                         cross_uxmax_normalized_computed(j) = &
-                                MAX( cross_uxmax_normalized_computed(j), uxma )
-                      ENDIF
-
-                   ENDDO
-
-                ENDIF
-
-             ENDIF   ! Index determination
-
-          ENDIF   ! profil output
-
-       ENDDO   ! Loop over dopr_n
+       ENDDO
 
     ENDIF  ! Output on PE0